summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2015-09-24 15:33:22 +0200
committerAlexis Ballier <aballier@gentoo.org>2015-09-24 15:33:29 +0200
commit740815bf1c844bd42465e50d0dce1a7519533c21 (patch)
tree226646450ba747d359cd247de513b0f770f6d61c /dev-ml/menhir
parentprofiles: mask net-chemistry/icm-browser for removal. Bug #466724 (diff)
downloadgentoo-740815bf1c844bd42465e50d0dce1a7519533c21.tar.gz
gentoo-740815bf1c844bd42465e50d0dce1a7519533c21.tar.bz2
gentoo-740815bf1c844bd42465e50d0dce1a7519533c21.zip
dev-ml/menhir: version bump.
Package-Manager: portage-2.2.21
Diffstat (limited to 'dev-ml/menhir')
-rw-r--r--dev-ml/menhir/Manifest1
-rw-r--r--dev-ml/menhir/menhir-20150921.ebuild36
2 files changed, 37 insertions, 0 deletions
diff --git a/dev-ml/menhir/Manifest b/dev-ml/menhir/Manifest
index 941e3e91718..8a457939a8a 100644
--- a/dev-ml/menhir/Manifest
+++ b/dev-ml/menhir/Manifest
@@ -1,2 +1,3 @@
DIST menhir-20141215.tar.gz 556231 SHA256 2592967c123a31e1b6566ab9f6034e7a0a709d57d547097f05693baf96a46fa4 SHA512 1fff6b987016be37eaca0bb3fea7ec0c498c1448d076e991e1555718cf760318a8d710622af930175f234f49f8dd767ce62cc880c33458958ceeb1bda4817243 WHIRLPOOL 28e6018ce127b28e362aaf1fe030240253cb2ffb0a52d9b34e81c71882ae517376aa3df6c5d19c6db13819260f667f5708522486a74bc498bad3dac11378b56c
DIST menhir-20150914.tar.gz 626388 SHA256 a3057ec0867377ceaf9caecf69d331440d9c0fb70e39ade619a7856aa67d535d SHA512 7717fcc63ae938eb7c8ae3a5e7d279a357735c0e3b062d9060cc70d3016640e1427d25ee8182e3e034c678d9b0e706fe219f707dd4d14689457f321b135b1fef WHIRLPOOL d66204d753d0677f9eb51d09641f9148077e62caa7ae042665697036457724040950bbb190df6bd029224a0607a67cac8f4597927b4f667ca09091e07d09f7bd
+DIST menhir-20150921.tar.gz 627213 SHA256 4d8588dc847ef33f3af64d30e19bc791a57f61cda2b7086267bc8743ea4a2622 SHA512 a3100819cef6577c2806ebab765c966c11acd9fc9de061e64ef1bf4ca8b0076b0b878f12abf951a3c5882216f173936f2899444ca4126c477fa9cbef231c6b4e WHIRLPOOL cec19d79e7b79ea3dc2159673082931c8c360a865078d0af0bdd152fd1e481adb7218caf7f404005e6653493d04fda7659c1aa3b7527bbf8e0b75f284ff676d0
diff --git a/dev-ml/menhir/menhir-20150921.ebuild b/dev-ml/menhir/menhir-20150921.ebuild
new file mode 100644
index 00000000000..a8d4107fe61
--- /dev/null
+++ b/dev-ml/menhir/menhir-20150921.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit findlib
+
+DESCRIPTION="LR(1) parser generator for the OCaml language"
+HOMEPAGE="http://gallium.inria.fr/~fpottier/menhir/"
+SRC_URI="http://gallium.inria.fr/~fpottier/menhir/${P}.tar.gz"
+
+LICENSE="QPL-1.0 LGPL-2-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples +ocamlopt"
+
+DEPEND=">=dev-lang/ocaml-4.02:=[ocamlopt?]"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ if ! use ocamlopt ; then
+ export TARGET=byte
+ fi
+}
+
+src_compile() {
+ emake PREFIX="${EPREFIX}"/usr -j1
+}
+
+src_install() {
+ findlib_src_preinst
+ emake PREFIX="${ED}"/usr docdir="${ED}"/usr/share/doc/"${PF}" $(use examples || echo "DOCS=manual.pdf") install
+ use examples && docompress -x /usr/share/doc/${PF}/demos
+ dodoc AUTHORS CHANGES
+}